#
# spec file for package ldapfuse
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ldapfuse
Version:        1.0
Release:        11.40
Summary:        Browse LDAP trees via filesystem
License:        GPL-3.0
Group:          System/Filesystems
Url:            http://ldapfuse.sf.net/

#Git-Clone:	git://ldapfuse.git.sf.net/gitroot/ldapfuse/ldapfuse
Source:         http://downloads.sf.net/ldapfuse/%name-%version.tar.xz
Source2:        http://downloads.sf.net/ldapfuse/%name-%version.tar.xz.asc
Source3:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openldap2-devel >= 2.3
BuildRequires:  pkgconfig >= 0.19
BuildRequires:  xz
BuildRequires:  pkgconfig(fuse) >= 2.7
BuildRequires:  pkgconfig(libHX) >= 3.12

%description
A virtual filesystem for FUSE that allows to navigate an LDAP tree.

Author:
-------
	Jan Engelhardt

%prep
%setup -q

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi;
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot";

%files
%defattr(-,root,root)
%_bindir/*
%doc %_mandir/*/*

%changelog
* Tue Sep 23 2014 jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
  the local source validator
* Wed Nov 28 2012 sbrabec@suse.cz
- Verify GPG signature
* Sun Dec  4 2011 jengelh@medozas.de
- Update to new upstream release 1.0
  * Initial upstream tarball release
  * ldapfuse: correct wrong error type in cache lookup failure path
* Wed Aug 31 2011 jengelh@medozas.de
- Explicitly include lber in compilation and linking to avoid
  running into missing symbols
* Tue Aug 16 2011 jengelh@medozas.de
- Initial package
